Subject: Re: [PATCH 3/3 v2] use cache for function names in hunk headers

From: René Scharfe <[email-masked]>
Date: Mon, 27 Sep 2010 00:17:12 +0200

Am 26.09.2010 22:43, schrieb Clemens Buchacher:
> On Sun, Sep 26, 2010 at 06:26:56PM +0200, René Scharfe wrote:
>> -	/*
>> -	 * Be quite stupid about this for now.  Find a line in the old file
>> -	 * before the start of the hunk (and context) which starts with a
>> -	 * plausible character.
>> -	 */
>>
>> It also removes an outdated comment.
> 
> Actually, in the default case, the comment is still correct and
> helpful IMO.

The first sentence was probably written before the match function became
configurable.  The second one could be moved to def_ff().

>> The inlining part should probably split out in its own patch..
> 
> I am not sure what you mean here. Do you want to add the parameter
> funclineprev to the function and remove the function in the next
> page, or do you want to refactor the below into an inline function?

I'd suggest having a first patch for folding xdl_find_func() into
xdl_emit_diff() without any functional change (manually inlining it) and
a second one for adding funclineprev etc..

René